# MySQL dump 6.0
#
# Host: moby    Database: phpshop
#--------------------------------------------------------
# Server version	3.22.26a

#
# Table structure for table 'active_sessions'
#
CREATE TABLE active_sessions (
  sid varchar(32) DEFAULT '' NOT NULL,
  name varchar(32) DEFAULT '' NOT NULL,
  val text,
  changed varchar(14) DEFAULT '' NOT NULL,
  PRIMARY KEY (name,sid),
  KEY changed (changed)
);

#
# Table structure for table 'auth_user_md5'
#
CREATE TABLE auth_user_md5 (
  user_id varchar(32) DEFAULT '' NOT NULL,
  username varchar(32) DEFAULT '' NOT NULL,
  password varchar(32) DEFAULT '' NOT NULL,
  perms varchar(255),
  PRIMARY KEY (user_id),
  UNIQUE k_username (username)
);

#
# Dumping data for table 'auth_user_md5'
# Creates the admin,test- nobody - demo,demo

INSERT INTO auth_user_md5 VALUES ('7322f75cc7ba16db1799fd8d25dbcde4','admin','098f6bcd4621d373cade4e832627b4f6','admin');
INSERT INTO auth_user_md5 VALUES ('nobody','nobody','-','anonymous');

#
# Table structure for table 'auth_user_vendor'
#
CREATE TABLE auth_user_vendor (
  user_id varchar(32),
  vendor_id int(11)
);

#
# Dumping data for table 'auth_user_vendor'
#

INSERT INTO auth_user_vendor VALUES ('7322f75cc7ba16db1799fd8d25dbcde4',-1);

#
# Table structure for table 'category'
#
CREATE TABLE category (
  category_id varchar(32) DEFAULT '' NOT NULL,
  vendor_id int(11) DEFAULT '0' NOT NULL,
  category_name varchar(128) DEFAULT '' NOT NULL,
  category_description text,
  category_thumb_image varchar(255),
  category_full_image varchar(255),
  category_publish char(1),
  cdate int(11),
  mdate int(11),
  PRIMARY KEY (category_id)
);

#
# Dumping data for table 'category'
#

INSERT INTO category VALUES ('541a03b2b0e1b6dbd972e9f5af5ca992',1,'Hand Tools','Hand Tools',NULL,NULL,'Y',950319905,950319905);
INSERT INTO category VALUES ('1c914424d2569bea3439fbcca9123a27',1,'Power Tools','Power Tools',NULL,NULL,'Y',950319916,950319916);
INSERT INTO category VALUES ('6834dda8e3e6e5aa18bafc63a57fd04a',1,'Garden Tools','Garden Tools',NULL,NULL,'Y',950321122,950321122);

#
# Table structure for table 'category_xref'
#
CREATE TABLE category_xref (
  category_parent_id varchar(32),
  category_child_id varchar(32),
  category_list int(11)
);

#
# Dumping data for table 'category_xref'
#

INSERT INTO category_xref VALUES ('0','e82059172cd3068c5c785929d85df4d3',NULL);
INSERT INTO category_xref VALUES ('0','132e3bc5971c593ec9b20e4964ae152d',NULL);
INSERT INTO category_xref VALUES ('0','0df8453f7add1ecfafcc0de1bcb6a9b8',NULL);
INSERT INTO category_xref VALUES ('0','7ddd2d3533f8c796cbe05f7ba35f8cc7',NULL);
INSERT INTO category_xref VALUES ('0','259cef91c86cb199a2c5d8314bcb38fe',NULL);
INSERT INTO category_xref VALUES ('0','6a46414247bd75478295b218c15e88f3',NULL);
INSERT INTO category_xref VALUES ('0','453ced0cff2356d778eb0ae7c4a6ba42',NULL);
INSERT INTO category_xref VALUES ('0','6c6f0227712c6181127177db4b6faeed',NULL);
INSERT INTO category_xref VALUES ('0','849067b1ec33bf1bf024dfa1828ec660',NULL);
INSERT INTO category_xref VALUES ('0','541a03b2b0e1b6dbd972e9f5af5ca992',NULL);
INSERT INTO category_xref VALUES ('0','1c914424d2569bea3439fbcca9123a27',NULL);
INSERT INTO category_xref VALUES ('0','6834dda8e3e6e5aa18bafc63a57fd04a',NULL);

#
# Table structure for table 'directory'
#
CREATE TABLE directory (
  directory_id int(11) DEFAULT '0' NOT NULL auto_increment,
  directory_name varchar(255),
  directory_description text,
  directory_perms varchar(255),
  PRIMARY KEY (directory_id)
);

#
# Dumping data for table 'directory'
#

INSERT INTO directory VALUES (1,'/','Main phpshop directory.','none');
INSERT INTO directory VALUES (2,'admin/','Location of all administrative pages.','admin,storeadmin,demo');
INSERT INTO directory VALUES (3,'help/','Directory containing help files.','none');
INSERT INTO directory VALUES (4,'sys/','Function and directory register.  For developers only.','admin,demo');
INSERT INTO directory VALUES (7,'status/','Any status related pages go here.','none');
INSERT INTO directory VALUES (5,'shop/','Main shop directory.  This is where all the store files reside.','none');
INSERT INTO directory VALUES (6,'order/','Location of order related files.','shopper,storeadmin,admin,demo');

#
# Table structure for table 'function'
#
CREATE TABLE function (
  function_id int(11) DEFAULT '0' NOT NULL auto_increment,
  function_name varchar(32),
  function_class varchar(32),
  function_method varchar(32),
  function_description text,
  function_perms varchar(255),
  PRIMARY KEY (function_id)
);

#
# Dumping data for table 'function'
#

INSERT INTO function VALUES (1,'userAdd','ps_user','add','','admin,storeadmin');
INSERT INTO function VALUES (2,'userDelete','ps_user','delete','','admin,storeadmin');
INSERT INTO function VALUES (3,'productCategoryAdd','ps_product_category','add','','admin,storeadmin');
INSERT INTO function VALUES (4,'productCategoryUpdate','ps_product_category','update','','admin,storeadmin');
INSERT INTO function VALUES (5,'userUpdate','ps_user','update','','admin,storeadmin');
INSERT INTO function VALUES (54,'adminPasswdUpdate','ps_user','update_admin_passwd','Updates Site Adminnistrator Password','admin');
INSERT INTO function VALUES (9,'productCategoryDelete','ps_product_category','delete','','admin,storeadmin');
INSERT INTO function VALUES (10,'productAdd','ps_product','add','','admin,storeadmin');
INSERT INTO function VALUES (11,'productUpdate','ps_product','update','','admin,storeadmin');
INSERT INTO function VALUES (12,'functionAdd','ps_function_reg','add','','admin');
INSERT INTO function VALUES (13,'functionUpdate','ps_function_reg','update','','admin');
INSERT INTO function VALUES (14,'functionDelete','ps_function_reg','delete','','admin');
INSERT INTO function VALUES (21,'vendorCategoryDelete','ps_vendor_category','delete','','admin');
INSERT INTO function VALUES (15,'userLogout','ps_user','logout','','none');
INSERT INTO function VALUES (16,'vendorCategoryUpdate','ps_vendor_category','update','','admin');
INSERT INTO function VALUES (17,'vendorCategoryAdd','ps_vendor_category','add','','admin');
INSERT INTO function VALUES (18,'userAddressAdd','ps_user_address','add','','admin,storeadmin,shopper');
INSERT INTO function VALUES (19,'userAddressUpdate','ps_user_address','update','','admin,storeadmin,shopper');
INSERT INTO function VALUES (20,'userAddressDelete','ps_user_address','delete','','admin,storeadmin,shopper');
INSERT INTO function VALUES (22,'checkoutValidate','ps_order_process','validate_form','','none');
INSERT INTO function VALUES (34,'orderSearch','ps_order','find','','admin,storeadmin');
INSERT INTO function VALUES (24,'productAttributeAdd','ps_product_attribute','add','','admin,storeadmin');
INSERT INTO function VALUES (25,'productAttributeUpdate','ps_product_attribute','update','','admin,storeadmin');
INSERT INTO function VALUES (26,'vendorAdd','ps_vendor','add','','admin');
INSERT INTO function VALUES (27,'vendorUpdate','ps_vendor','update','','admin,storeadmin');
INSERT INTO function VALUES (28,'vendorDelete','ps_vendor','delete','','admin');
INSERT INTO function VALUES (29,'productAttributeDelete','ps_product_attribute','delete','','admin,storeadmin');
INSERT INTO function VALUES (33,'checkoutComplete','ps_order_process','add','','none');
INSERT INTO function VALUES (30,'directoryAdd','ps_directory_reg','add','','admin');
INSERT INTO function VALUES (31,'directoryUpdate','ps_directory_reg','update','','admin');
INSERT INTO function VALUES (32,'directoryDelete','ps_directory_reg','delete','','admin');
INSERT INTO function VALUES (35,'orderStatusUpdate','ps_order','order_status_update','','admin,storeadmin');
INSERT INTO function VALUES (36,'cartAdd','ps_cart','add','','none');
INSERT INTO function VALUES (53,'userLogin','ps_user','login','','none');
INSERT INTO function VALUES (37,'cartUpdate','ps_cart','update','','none');
INSERT INTO function VALUES (38,'cartDelete','ps_cart','delete','','none');
INSERT INTO function VALUES (39,'productDelete','ps_product','delete','','admin,storeadmin');
INSERT INTO function VALUES (52,'vshipMethodDelete','ps_vship_method','delete','Deletes a Shipping Method for a specific vendor.','admin,storeadmin');
INSERT INTO function VALUES (40,'productPriceAdd','ps_product_price','add','','admin,storeadmin');
INSERT INTO function VALUES (41,'productPriceUpdate','ps_product_price','update','','admin,storeadmin');
INSERT INTO function VALUES (42,'productPriceDelete','ps_product_price','delete','','admin,storeadmin');
INSERT INTO function VALUES (43,'shopperGroupAdd','ps_shopper_group','add','','admin,storeadmin');
INSERT INTO function VALUES (44,'shopperGroupUpdate','ps_shopper_group','update','','admin,storeadmin');
INSERT INTO function VALUES (45,'shopperGroupDelete','ps_shopper_group','delete','','admin,storeadmin');
INSERT INTO function VALUES (46,'shopperAdd','ps_shopper','add','','none');
INSERT INTO function VALUES (47,'shopperUpdate','ps_shopper','update','','none');
INSERT INTO function VALUES (48,'shopperDelete','ps_shopper','delete','','admin,storeadmin');
INSERT INTO function VALUES (49,'setVendor','ps_vendor','set_vendor','','admin');
INSERT INTO function VALUES (51,'vshipMethodUpdate','ps_vship_method','update','Updates information for a Shipping Method for a vendor.','admin,storeadmin');
INSERT INTO function VALUES (50,'vshipMethodAdd','ps_vship_method','add','Adds Shipping Methods for a specific vendor.','admin,storeadmin');

#
# Table structure for table 'order_item'
#
CREATE TABLE order_item (
  order_item_id int(11) DEFAULT '0' NOT NULL auto_increment,
  order_id int(11),
  user_info_id int(11),
  vendor_id int(11),
  product_id int(11),
  product_quantity int(11),
  product_item_price decimal(10,2),
  order_item_currency varchar(16),
  order_status char(1),
  cdate int(11),
  mdate int(11),
  PRIMARY KEY (order_item_id)
);


#
# Table structure for table 'orders'
#
CREATE TABLE orders (
  order_id int(11) DEFAULT '0' NOT NULL auto_increment,
  user_id varchar(32) DEFAULT '' NOT NULL,
  vendor_id int(11) DEFAULT '0' NOT NULL,
  order_number varchar(32),
  user_info_id int(11),
  order_subtotal decimal(10,2),
  order_tax decimal(10,2),
  order_shipping decimal(10,2),
  order_shipping_tax decimal(10,2),
  order_currency varchar(16),
  order_status char(1),
  cdate int(11),
  mdate int(11),
  ship_method_id int(11),
  PRIMARY KEY (order_id)
);


#
# Table structure for table 'payment_method'
#
CREATE TABLE payment_method (
  order_id int(11) DEFAULT '0' NOT NULL,
  payment_method_type varchar(8),
  payment_method_number varchar(128),
  payment_method_expire int(11),
  payment_method_name varchar(128)
);


#
# Table structure for table 'product'
#
CREATE TABLE product (
  product_id int(11) DEFAULT '0' NOT NULL auto_increment,
  vendor_id int(11) DEFAULT '0' NOT NULL,
  product_parent_id int(11),
  product_sku varchar(64) DEFAULT '' NOT NULL,
  product_s_desc varchar(255),
  product_desc text,
  product_thumb_image varchar(255),
  product_full_image varchar(255),
  product_publish char(1),
  product_weight decimal(10,4),
  product_weight_uom varchar(32) DEFAULT 'pounds.',
  product_length decimal(10,4),
  product_width decimal(10,4),
  product_height decimal(10,4),
  product_lwh_uom varchar(32) DEFAULT 'inches',
  product_url varchar(255),
  product_in_stock int(11),
  product_available_date int(11),
  product_special char(1),
  product_discount_id int(11),
  ship_code_id int(11),
  cdate int(11),
  mdate int(11),
  product_name varchar(64),
  PRIMARY KEY (product_id)
);

#
# Dumping data for table 'product'
#

INSERT INTO product VALUES (1,1,0,'G01','','Nice hand shovel to dig with in the yard.','8d886c5855770cc01a3b8a2db57f6600.jpg','cca3cd5db813ee6badf6a3598832f2fc.jpg','Y',0.0000,'pounds',0.0000,0.0000,0.0000,'inches','',0,0,'',0,NULL,950320117,950321140,'Hand Shovel');
INSERT INTO product VALUES (2,1,0,'G02','','A really long ladder to reach high places.','ffd5d5ace2840232c8c32de59553cd8d.jpg','8cb8d644ef299639b7eab25829d13dbc.jpg','Y',0.0000,'pounds',0.0000,0.0000,0.0000,'inches','',0,0,'',0,NULL,950320180,950321150,'Ladder');
INSERT INTO product VALUES (3,1,0,'G03','','Nice shovel.  You can dig your way to China with this one.','8147a3a9666aec0296525dbd81f9705e.jpg','520efefd6d7977f91b16fac1149c7438.jpg','Y',0.0000,'pounds',0.0000,0.0000,0.0000,'inches','',0,0,'',0,NULL,950320243,950321159,'Shovel');
INSERT INTO product VALUES (4,1,0,'G04','','This shovel is smaller but you\'ll be able to dig real quick.','a04395a8aefacd9c1659ebca4dbfd4ba.jpg','9256008f7f6f46fe04ffc5f728f2c215.jpg','Y',0.0000,'pounds',0.0000,0.0000,0.0000,'inches','',0,0,'',0,NULL,950320378,950321170,'Smaller Shovel');
INSERT INTO product VALUES (5,1,0,'H01','','This saw is great for getting cutting through downed limbs.','1aa8846d3cfe3504b2ccaf7c23bb748f.jpg','e614ba08c3ee0c2adc62fd9e5b9440eb.jpg','Y',0.0000,'pounds',0.0000,0.0000,0.0000,'inches','',0,0,'',0,NULL,950321256,950321294,'Nice Saw');
INSERT INTO product VALUES (6,1,0,'H02','','A great hammer to hammer away with.','dccb8223891a17d752bfc1477d320da9.jpg','578563851019e01264a9b40dcf1c4ab6.jpg','Y',0.0000,'pounds',0.0000,0.0000,0.0000,'inches','',0,0,'',0,NULL,950321631,950321672,'Hammer');
INSERT INTO product VALUES (7,1,0,'P01','','Don\'t do it with an axe.  Get a chain saw.','8716aefc3b0dce8870360604e6eb8744.jpg','c3a5bf074da14f30c849d13a2dd87d2c.jpg','Y',0.0000,'pounds',0.0000,0.0000,0.0000,'inches','',0,0,'',0,NULL,950321725,950336990,'Chain Saw');
INSERT INTO product VALUES (8,1,0,'P02','','Cut rings around wood.  This saw can handle the most delicate projects.','b4a748303d0d996b29d5a1e1d1112537.jpg','9a4448bb13e2f7699613b2cfd7cd51ad.jpg','Y',0.0000,'pounds',0.0000,0.0000,0.0000,'inches','',0,0,'',0,NULL,950321795,950321838,'Circular Saw');
INSERT INTO product VALUES (9,1,0,'P03','','Drill through anything.  This drill has the power you need for those demanding hole boring duties.','c70a3f47baf9a4020aeeee919eb3fda4.jpg','1ff5f2527907ca86103288e1b7cc3446.jpg','Y',0.0000,'pounds',0.0000,0.0000,0.0000,'inches','',0,0,'',0,NULL,950321879,950321938,'Drill');
INSERT INTO product VALUES (10,1,0,'P04','','Blast away that paint job from the past.  Use this power sander to really show them you mean business.','7a36a05526e93964a086f2ddf17fc609.jpg','480655b410d98a5cc3bef3927e786866.jpg','Y',0.0000,'pounds',0.0000,0.0000,0.0000,'inches','',0,0,'',0,NULL,950321963,950322010,'Power Sander');

#
# Table structure for table 'product_attribute'
#
CREATE TABLE product_attribute (
  product_id int(11) DEFAULT '0' NOT NULL,
  attribute_name char(255) DEFAULT '' NOT NULL,
  attribute_value char(255)
);

#
# Dumping data for table 'product_attribute'
#


#
# Table structure for table 'product_attribute_sku'
#
CREATE TABLE product_attribute_sku (
  product_id int(11) DEFAULT '0' NOT NULL,
  attribute_name char(255) DEFAULT '' NOT NULL,
  attribute_list int(11)
);

#
# Dumping data for table 'product_attribute_sku'
#


#
# Table structure for table 'product_category_xref'
#
CREATE TABLE product_category_xref (
  category_id varchar(32),
  product_id int(11) DEFAULT '0' NOT NULL,
  product_list int(11)
);

#
# Dumping data for table 'product_category_xref'
#

INSERT INTO product_category_xref VALUES ('6834dda8e3e6e5aa18bafc63a57fd04a',1,NULL);
INSERT INTO product_category_xref VALUES ('6834dda8e3e6e5aa18bafc63a57fd04a',2,NULL);
INSERT INTO product_category_xref VALUES ('6834dda8e3e6e5aa18bafc63a57fd04a',3,NULL);
INSERT INTO product_category_xref VALUES ('6834dda8e3e6e5aa18bafc63a57fd04a',4,NULL);
INSERT INTO product_category_xref VALUES ('541a03b2b0e1b6dbd972e9f5af5ca992',5,NULL);
INSERT INTO product_category_xref VALUES ('541a03b2b0e1b6dbd972e9f5af5ca992',6,NULL);
INSERT INTO product_category_xref VALUES ('1c914424d2569bea3439fbcca9123a27',7,NULL);
INSERT INTO product_category_xref VALUES ('1c914424d2569bea3439fbcca9123a27',8,NULL);
INSERT INTO product_category_xref VALUES ('1c914424d2569bea3439fbcca9123a27',9,NULL);
INSERT INTO product_category_xref VALUES ('1c914424d2569bea3439fbcca9123a27',10,NULL);


#
# Table structure for table 'product_price'
#
CREATE TABLE product_price (
  product_price_id int(11) DEFAULT '0' NOT NULL auto_increment,
  product_id int(11) DEFAULT '0' NOT NULL,
  product_price decimal(10,2),
  product_currency char(16),
  product_price_vdate int(11),
  product_price_edate int(11),
  cdate int(11),
  mdate int(11),
  shopper_group_id int(11),
  PRIMARY KEY (product_price_id)
);

#
# Dumping data for table 'product_price'
#

INSERT INTO product_price VALUES (1,5,24.99,'USD',0,0,950321309,950321309,5);
INSERT INTO product_price VALUES (2,1,4.99,'USD',0,0,950321324,950321324,5);
INSERT INTO product_price VALUES (3,2,49.99,'USD',0,0,950321340,950321340,5);
INSERT INTO product_price VALUES (4,3,24.99,'USD',0,0,950321368,950321368,5);
INSERT INTO product_price VALUES (5,4,19.99,'USD',0,0,950321385,950321385,5);
INSERT INTO product_price VALUES (6,6,9.99,'USD',0,0,950321686,950321686,5);
INSERT INTO product_price VALUES (7,7,149.99,'USD',0,0,950321754,950321754,5);
INSERT INTO product_price VALUES (8,8,220.99,'USD',0,0,950321833,950321833,5);
INSERT INTO product_price VALUES (9,9,48.12,'USD',0,0,950321933,950321933,5);
INSERT INTO product_price VALUES (10,10,74.99,'USD',0,0,950322005,950322005,5);

#
# Table structure for table 'ship_code'
#
CREATE TABLE ship_code (
  ship_code_id int(11) DEFAULT '0' NOT NULL auto_increment,
  product_ship_code varchar(8) DEFAULT '' NOT NULL,
  vendor_id int(11) DEFAULT '0' NOT NULL,
  ship_calc_method varchar(8),
  ship_code_desc varchar(255),
  PRIMARY KEY (ship_code_id)
);

#
# Dumping data for table 'ship_code'
#


#
# Table structure for table 'ship_method'
#
CREATE TABLE ship_method (
  ship_method_id int(11) DEFAULT '0' NOT NULL auto_increment,
  ship_carrier varchar(32),
  ship_mode varchar(32),
  ship_desc varchar(255),
  PRIMARY KEY (ship_method_id)
);

#
# Dumping data for table 'ship_method'
#


#
# Table structure for table 'shipping'
#
CREATE TABLE shipping (
  shipping_id int(11) DEFAULT '0' NOT NULL auto_increment,
  vendor_id int(11) DEFAULT '0' NOT NULL,
  vship_method_id int(11),
  ship_code_id int(11),
  shipping_area char(32),
  shipping_country char(32),
  shipping_charge decimal(10,2),
  shipping_vdate int(11),
  shipping_edate int(11),
  PRIMARY KEY (shipping_id)
);

#
# Dumping data for table 'shipping'
#


#
# Table structure for table 'shopper_group'
#
CREATE TABLE shopper_group (
  shopper_group_id int(11) DEFAULT '0' NOT NULL auto_increment,
  vendor_id int(11),
  shopper_group_name varchar(32),
  shopper_group_desc text,
  PRIMARY KEY (shopper_group_id)
);

#
# Dumping data for table 'shopper_group'
#

INSERT INTO shopper_group VALUES (5,1,'-default-','Default shopper group.');

#
# Table structure for table 'shopper_vendor_xref'
#
CREATE TABLE shopper_vendor_xref (
  user_id varchar(32),
  vendor_id int(11),
  shopper_group_id int(11),
  customer_number varchar(32)
);

#
# Table structure for table 'user_info'
#
CREATE TABLE user_info (
  user_info_id int(11) DEFAULT '0' NOT NULL auto_increment,
  user_id varchar(32) DEFAULT '' NOT NULL,
  address_type char(2),
  address_type_name varchar(32),
  company varchar(64),
  title varchar(32),
  last_name varchar(32),
  first_name varchar(32),
  middle_name varchar(32),
  phone_1 varchar(32),
  phone_2 varchar(32),
  fax varchar(32),
  address_1 varchar(64) DEFAULT '' NOT NULL,
  address_2 varchar(64),
  city varchar(32) DEFAULT '' NOT NULL,
  state varchar(32) DEFAULT '' NOT NULL,
  country varchar(32) DEFAULT 'US' NOT NULL,
  zip varchar(32) DEFAULT '' NOT NULL,
  user_email varchar(255),
  extra_field_1 varchar(255),
  extra_field_2 varchar(255),
  extra_field_3 varchar(255),
  extra_field_4 char(1),
  extra_field_5 char(1),
  cdate int(11),
  mdate int(11),
  PRIMARY KEY (user_info_id)
);

#
# Dumping data for table 'user_info'
#

INSERT INTO user_info VALUES (5,'7322f75cc7ba16db1799fd8d25dbcde4','BT','Bill To','','','Administrator','The','','','','','','','','','US','',NULL,950420839,'pfmartin@yahoo.com', '', '', '', '', '');
INSERT INTO user_info VALUES (8,'a989e803acc0c0ca480782c306ad8dfe','BT','Bill To','Any Company USA, Inc.','Mr.','User','Demonstration','','555-555-1212','555-555-1212','','Any Street , S.E.','Apartment 100','Any Town','ZI','USA','99999',950330172,950330172,'nobody@nobody.none', '', '', '', '', '');
INSERT INTO user_info VALUES (9,'a989e803acc0c0ca480782c306ad8dfe','ST','Default-BillTo','Any Company USA, Inc.','Mr.','User','Demonstration','','555-555-1212','555-555-1212','','Any Street , S.E.','Apartment 100','Any Town','ZI','USA','99999',950330172,950330172,'nobody@nobody.none', '', '', '', '', '');


#
# Table structure for table 'vendor'
#
CREATE TABLE vendor (
  vendor_id int(11) DEFAULT '0' NOT NULL auto_increment,
  vendor_name varchar(64),
  contact_last_name varchar(32) DEFAULT '' NOT NULL,
  contact_first_name varchar(32) DEFAULT '' NOT NULL,
  contact_middle_name varchar(32),
  contact_title varchar(32),
  contact_phone_1 varchar(32) DEFAULT '' NOT NULL,
  contact_phone_2 varchar(32),
  contact_fax varchar(32),
  contact_email varchar(255),
  vendor_phone varchar(32),
  vendor_address_1 varchar(64) DEFAULT '' NOT NULL,
  vendor_address_2 varchar(64),
  vendor_city varchar(32) DEFAULT '' NOT NULL,
  vendor_state varchar(32) DEFAULT '' NOT NULL,
  vendor_country varchar(32) DEFAULT 'US' NOT NULL,
  vendor_zip varchar(32) DEFAULT '' NOT NULL,
  vendor_store_name varchar(128) DEFAULT '' NOT NULL,
  vendor_store_desc text,
  vendor_category_id int(11),
  vendor_thumb_image varchar(255),
  vendor_full_image varchar(255),
  vendor_currency varchar(16),
  cdate int(11),
  mdate int(11),
  vendor_image_path varchar(255),
  PRIMARY KEY (vendor_id)
);

#
# Dumping data for table 'vendor'
#

INSERT INTO vendor VALUES (1,'Washupito\'s Tiendita','Owner','Demo','Store','Mr.','555-555-1212','555-555-1212','555-555-1212','washu@phpshop.org','555-555-1212','100 Washupito Avenue, N.W.','','Washupito','WA','Washupitolandia','99999','Washupito\'s Tiendita','<P>We have the best tools for do-it-yourselfers.  Check us out! </P>\r\n<P>We were established in 1969 in a time when getting good tools was expensive, but the quality was good.  Now that only a select few of those authentic tools survive, we have dedicated this store to bringing the experience alive for collectors and master mechanics everywhere.  </P>\r\n\r\n<P>You can easily find products selecting the category you would like to browse above.</P>',6,'','cc16a5a1c6989af4670e9b29d8e4461a.gif','USD',950302468,950424585,'/demo_images/');

#
# Table structure for table 'vendor_category'
#
CREATE TABLE vendor_category (
  vendor_category_id int(11) DEFAULT '0' NOT NULL auto_increment,
  vendor_category_name varchar(64),
  vendor_category_desc text,
  PRIMARY KEY (vendor_category_id)
);

#
# Dumping data for table 'vendor_category'
#

INSERT INTO vendor_category VALUES (6,'Default','Default');

#
# Table structure for table 'vendor_tax'
#
CREATE TABLE vendor_tax (
  vendor_id int(11) DEFAULT '0' NOT NULL,
  tax_rate_1 decimal(4,2),
  tax_name_1 varchar(32),
  tax_rate_2 decimal(4,2),
  tax_name_2 varchar(32),
  tax_rate_3 decimal(4,2),
  tax_name_3 varchar(32),
  tax_rate_4 decimal(4,2),
  tax_name_4 varchar(32),
  tax_rate_5 decimal(4,2),
  tax_name_5 varchar(32)
);

#
# Dumping data for table 'vendor_tax'
#


#
# Table structure for table 'vship_method'
#
CREATE TABLE vship_method (
  vship_method_id int(11) DEFAULT '0' NOT NULL auto_increment,
  ship_method_id int(11) DEFAULT '0' NOT NULL,
  vendor_id int(11) DEFAULT '0' NOT NULL,
  vship_method_vdate int(11),
  vship_method_edate int(11),
  PRIMARY KEY (vship_method_id)
);



