<?php
/****************************************************************************
*    Copyright (C) 2000 Edikon Corporation.
*
*    This program is free software; you can redistribute it and/or modify
*    it under the terms of the GNU General Public License as published by
*    the Free Software Foundation; either version 2 of the License, or
*    (at your option) any later version.
*
*    This program is distributed in the hope that it will be useful,
*    but WITHOUT ANY WARRANTY; without even the implied warranty of
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*    GNU General Public License for more details.
*
*    You should have received a copy of the GNU General Public License
*    along with this program; if not, write to the Free Software
*    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
****************************************************************************
*
* CLASS DESCRIPTION
*
* ps_vship_method
*
* The class is is used to manage the vendor shipment methods.
*
* propeties:
*
* methods:
*       validate()
*       add()
*       update()
*       delete()
*       sql()
*       methods_select()
*
*
*************************************************************************/
class ps_vship_method {
  var $classname = "ps_vship_method";

  /**************************************************************************
  ** name: validate()
  ** created by:
  ** description:
  ** parameters:
  ** returns:
  ***************************************************************************/  
  function validate(&$d) {
    $valid = true;
#    if (!$d["product_price"]) {
#        $d["error"] .= "ERROR: A price must be entered.<BR>";
#        $valid = false;
#    }
    return $valid;
  }
  
  /**************************************************************************
  ** name: add()
  ** created by:
  ** description: Creates a new vendor shipping method record.
  ** parameters:
  ** returns:
  ***************************************************************************/  
  function add(&$d) {
    global $ps_vendor_id;
    if (!$this->validate($d)) {
      return false; 
    }

    /* If no shipping methods are selected return */
    if (!$d["ship_method_id"][0]) {
        return true;
    }

    $cnt = count($d["ship_method_id"]);
    for ($i=0;$i<$cnt;$i++) {
      $db = new ps_DB;
      $q  = "INSERT INTO vship_method (ship_method_id,vendor_id,";
      $q .= "vship_method_vdate,vship_method_edate) ";
      $q .= "VALUES ('" . $d["ship_method_id"][$i] . "','$ps_vendor_id','";
      $q .= $d["vship_method_vdate"] . "','" . $d["vship_method_edate"] . "')";

      $db->query($q);
    }

    return true;
  }

  /**************************************************************************
  ** name: update()
  ** created by:
  ** description: Delete a vendor shipping method.
  ** parameters:
  ** returns:
  ***************************************************************************/
  function update(&$d) {
    global $ps_vendor_id;
    if (!$this->validate($d)) {
      return false;
    }

    $db = new ps_DB;

    $q  = "UPDATE vship_method SET ";
    $q .= "vship_method_vdate='" . $d["vship_method_vdate"] . "',";
    $q .= "vship_method_edate='" . $d["vship_method_edate"] . "',";
    $q .= "WHERE vship_method_id='" . $d["vship_method_id"] . "' ";
    $q .= "AND vendor_id='$ps_vendor_id' ";

    $db->query($q);
    
    return true;
  }

  /**************************************************************************
  ** name: delete()
  ** created by:
  ** description: Delete a vendor shipping method.
  ** parameters:
  ** returns:
  ***************************************************************************/  
  function delete(&$d) {
    global $ps_vendor_id;
    $db = new ps_DB;

    $q  = "DELETE FROM vship_method ";
    $q .= "WHERE vship_method_id = '" . $d["vship_method_id"] . "' ";
    $q .= "AND vendor_id='$ps_vendor_id' ";

    $db->query($q);

    return True;
  }

  /**************************************************************************
  ** name: sql()
  ** created by: jep
  ** description: Does the SQL for vendor shipping methods.
  ** parameters:
  ** returns:
  ***************************************************************************/
  function sql($vship_method_id=0) {
    global $ps_vendor_id;
    $db = new ps_DB;

    $q  = "SELECT * FROM vship_method,ship_method ";
    $q .= "WHERE vendor_id = '$ps_vendor_id' ";
    if ($vship_method_id) {
      $q .= "AND vship_method_id  = '$vship_method_id' ";
    } 
    $q .= "AND vship_method.ship_method_id = ship_method.ship_method_id ";
    $q .= "ORDER BY ship_carrier,ship_mode ";

    $db->query($q);
    return $db;
  }

  /**************************************************************************
  ** name: methods_select()
  ** created by: jep
  ** description: Prints HTML select tags to select one or more shipping
  **              methods.
  ** parameters:
  ** returns:
  ***************************************************************************/
  function methods_select() {
    global $ps_vendor_id;

    echo "<SELECT NAME=\"ship_method_id[]\" size=\"10\" multiple>\n";

    $db = new ps_DB;
    $db2 = new ps_DB;

    $q  = "SELECT * FROM ship_method ";
    $q .= "ORDER BY ship_carrier,ship_mode ";
    $db->query($q);
    while ($db->next_record()) {
      $q2  = "SELECT ship_method_id FROM vship_method ";
      $q2 .= "WHERE vendor_id = '$ps_vendor_id' ";
      $q2 .= "AND ship_method_id = '" . $db->f("ship_method_id") . "'";
      $db2->query($q2);
      if (!$db2->next_record()) {
        echo "<OPTION VALUE=" . $db->f("ship_method_id")  . ">";
        echo $db->f("ship_carrier") . " " . $db->f("ship_mode");
        echo "</OPTION>\n";
      }
    }
    echo "</SELECT>\n";
  }
}
?>
